Subject: bug#65522: Documentation for some home services disappeared from 1.4 manual

From: Simon Tournier <[email-masked]>
Date: Tue, 05 Sep 2023 17:18:29 +0200

Hi,

On Fri, 25 Aug 2023 at 08:16, [email-masked] wrote:

> I noticed some help nodes under https://guix.gnu.org/en/manual/en/html_node/Home-Services.html disappeared fairly recently.
> They are still available in the devel docs under https://guix.gnu.org/en/manual/devel/en/html_node/Home-Services.html
>
> The following topics are missing:
> * GPG: GNU Privacy Guard.       Setting up GPG and related tools.
> * Fonts: Fonts Home Services.   Services for managing User's fonts.
> * Sound: Sound Home Services.   Dealing with audio.
> * Mail: Mail Home Services.     Services for managing mail.
> * Messaging: Messaging Home Services.  Services for managing messaging.
> * Media: Media Home Services.   Services for managing media.
> * Networking: Networking Home Services.  Networking services.
> * Miscellaneous: Miscellaneous Home Services.  More services.
>
> This makes sense when looking at the 1.4.0 git tag, but I had a browser tab open, and https://guix.gnu.org/manual/en/html_node/Mail-Home-Services.html was definitely available just a day or two ago.
>
> I don't know if this is actually an issue or an intended change, but it seemed better to report it than to ignore it.

I am sorry, I am not sure to understand what the bug is about. :-)

This webpage
<https://guix.gnu.org/en/manual/en/html_node/Home-Services.html> points
to the manual as it was for the last release.  It means, this manual
wepage is frozen and is only updated at each release.  If you have seen
something different, it is an artifact that should not be possible.

For instance, the service

    * GPG: GNU Privacy Guard.       Setting up GPG and related tools.

had been added on Sat Apr 8 22:56:19 2023 +0200 which is after the
release 1.4.0.

There is no bug and I am favor to close it.  WDYT?

Cheers,
simon